package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserGroup;
import com.sa.ibiz.demo.demo.service.dto.UserGroupSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserGroup] 服务对象接口
 */
public interface UserGroupService extends IService<UserGroup>{

	boolean checkKey(UserGroup et);
	boolean create(UserGroup et);
	boolean remove(UserGroup et);
		UserGroup get(UserGroup et);
	boolean update(UserGroup et);
	boolean getDraft(UserGroup et);
    List<UserGroup> listDefault(UserGroupSearchFilter filter) ;
	Page<UserGroup> searchDefault(UserGroupSearchFilter filter);
	/**	 实体[UserGroup] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }